- generic [ref=e1]:
  - generic [ref=e4]:
    - banner [ref=e5]:
      - generic [ref=e6]:
        - heading "KLASS Cognitive Robot" [level=5] [ref=e7]
        - paragraph [ref=e10]: IDLE
      - generic [ref=e11]:
        - button "Recording... click to stop" [active] [ref=e117] [cursor=pointer]:
          - img [ref=e118]
        - button "Face Recognition Off" [ref=e15] [cursor=pointer]:
          - img [ref=e16]
        - group "Demo/Debug mode" [ref=e19]:
          - button "Demo mode" [pressed] [ref=e20] [cursor=pointer]: Demo
          - button "Debug mode" [ref=e21] [cursor=pointer]: Debug
    - generic [ref=e22]:
      - generic [ref=e24]:
        - button "Face Recognition Off" [ref=e25] [cursor=pointer]:
          - img [ref=e26]
        - button "Fullscreen" [ref=e29] [cursor=pointer]:
          - img [ref=e30]
        - paragraph [ref=e35]: "VLM: Waiting for video input..."
      - generic [ref=e37]:
        - generic [ref=e38]:
          - generic [ref=e40]:
            - generic:
              - img:
                - generic:
                  - button "Edge from 1 to 2"
                  - button "Edge from 2 to 3"
                  - button "Edge from 3 to 4"
                  - button "Edge from 4 to 5"
                  - button "Edge from 5 to 6"
                  - button "Edge from 5 to 7"
                  - button "Edge from 6 to 8"
                  - button "Edge from 7 to 8"
                  - button "Edge from 8 to 9"
                  - button "Edge from 9 to 10"
                  - button "Edge from 10 to 11"
                  - button "Edge from 11 to 12"
              - generic:
                - button "CHECK_BATTERY":
                  - generic:
                    - img
                    - paragraph: CHECK_BATTERY
                - button "NAVIGATE lobby":
                  - generic:
                    - img
                    - paragraph: NAVIGATE lobby
                - button "SCAN_AREA lobby":
                  - generic:
                    - img
                    - paragraph: SCAN_AREA lobby
                - button "NAVIGATE office_tables":
                  - generic:
                    - img
                    - paragraph: NAVIGATE office_tables
                - button "SCAN_AREA office_tables":
                  - generic:
                    - img
                    - paragraph: SCAN_AREA office_tables
                - button "VERIFY_OBJECT":
                  - generic:
                    - paragraph: VERIFY_OBJECT
                - button "IDENTIFY_PERSON":
                  - generic:
                    - paragraph: IDENTIFY_PERSON
                - button "NAVIGATE stacked_boxes":
                  - generic:
                    - paragraph: NAVIGATE stacked_boxes
                - button "NAVIGATE spill_source":
                  - generic:
                    - paragraph: NAVIGATE spill_source
                - button "SCAN_AREA spill_source":
                  - generic:
                    - paragraph: SCAN_AREA spill_source
                - button "SPEAK":
                  - generic:
                    - paragraph: SPEAK
                - button "ALERT_OPERATOR":
                  - generic:
                    - paragraph: ALERT_OPERATOR
          - img [ref=e65]
        - generic [ref=e68]:
          - button "Zoom out" [ref=e69] [cursor=pointer]:
            - img [ref=e70]
          - button "Fit view" [ref=e72] [cursor=pointer]:
            - img [ref=e73]
          - button "Zoom in" [ref=e75] [cursor=pointer]:
            - img [ref=e76]
      - generic [ref=e79]:
        - paragraph [ref=e81]: Live Transcript
        - paragraph [ref=e84]: No messages yet. Start a conversation...
        - paragraph [ref=e88]: Mic Input
      - generic [ref=e92]:
        - paragraph [ref=e94]: Robot Reasoning
        - paragraph [ref=e97]: No reasoning data available yet...
        - paragraph [ref=e101]: TTS Output
    - generic [ref=e105]:
      - generic [ref=e106]:
        - generic [ref=e107]: 📍
        - generic [ref=e108]: Unknown
      - generic [ref=e109]: "|"
      - generic [ref=e110]:
        - generic [ref=e111]: 🔋
        - generic [ref=e112]: 100%
      - generic [ref=e113]: "|"
      - generic [ref=e114]:
        - generic [ref=e115]: ⚡
        - generic [ref=e116]: IDLE
  - tooltip "Recording... click to stop" [ref=e120]:
    - generic [ref=e121]: Recording... click to stop